
GammaLib - Change request #3145

Properly set region for GModelSpatialDiffuseCube and GModelSpatialComposite

01/23/2020 11:07 AM - Tibaldo Luigi

Status: Closed Start date: 01/23/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

For the moment the region is centered on 0,0 and has a radius of 180 deg (I guess this was a placeholder).

For GModelSpatialDiffuseCube it should be implemented in the same way as GModelSpatialDiffuseMap.

Related issues:

Related to GammaLib - Change request # 3258: Change GModelSpatial::region() m... New 06/30/2020

Related to GammaLib - Feature # 3099: Implement region method for spatial mod... Closed 12/11/2019

History

#1 - 01/28/2020 10:06 AM - Knödlseder Jürgen

- Target version set to 1.7.0

#2 - 06/30/2020 03:24 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

The code now uses the GSkyMap::region_circle() method to set the sky region in both the GModelSpatialDiffuseCube and GModelSpatialDiffuseMap

classes.

I also implemented the GModelSpatialDiffuseCube::contains() method, which is a copy of the GModelSpatialDiffuseMap::contains() method.

#3 - 06/30/2020 04:14 PM - Knödlseder Jürgen

For the GModelSpatialComposite model the situation is more complicated, since it would require a method that combines different sky region circles

into a single sky region circle, and it is actually questionable whether this would make sense.

Probably a better approach would be that GModelSpatial::region() returns a GRegions() object, that in case of a composite model would simply

contain a list of sky regions. I added the change request #3258 to cover this future change.

#4 - 06/30/2020 04:15 PM - Knödlseder Jürgen

- Related to Change request #3258: Change GModelSpatial::region() method to GModelSpatial::regions() that returns a GRegions object added

#5 - 06/30/2020 04:16 PM - Knödlseder Jürgen

- Related to Feature #3099: Implement region method for spatial model type 'DiffuseMapCube' added

#6 - 06/30/2020 05:01 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
Merged into devel.
